Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logica
Class Juego

    java.lang.Object
      logica.Juego

Direct Known Subclasses:
  JuegoMultijugador

    public class Juego

extends java.lang.Object

Field Summary
`protected javax.swing.JPanel` | `contenedorGrafico`
`protected int` | `incrementoVelocidad`
`protected boolean` | `juegoComenzado`
`protected boolean` | `juegoPausado`
`protected int` | `lineas`
`protected Sonido` | `motorSonido`
`protected int` | `nivel`
`protected Paleta` | `paleta`
`protected Pieza` | `piezaActual`
`protected boolean` | `piezaColisionada`
`protected Pieza[]` | `piezasBase`
`protected Pieza` | `piezaSiguiente`
`protected int` | `puntos`
`protected Tablero` | `tablero`
`protected int[]` | `teclaAbajo`
`protected int[]` | `teclaArriba`
`protected int[]` | `teclaDerecha`
`protected int[]` | `teclaIzquierda`
`protected int[]` | `teclaRotarDerecha`
`protected int[]` | `teclaRotarIzquierda`
`protected int` | `velocidad`
`protected int` | `velocidadMaxima`
`protected int` | `velocidadMinima`

Constructor Summary
`Juego(javax.swing.JPanel contenedor)`
`Juego(javax.swing.JPanel contenedor, Paleta paleta)`
`Juego(javax.swing.JPanel contenedor, Paleta paleta, Pieza[] piezasBase)`

Method Summary
`protected void` | `actualizarPanel(javax.swing.JPanel contenedor)`
`protected void` | `cicloJuego()`
`boolean` | `comprobarGameOver()`
`void` | `definirTeclas(int[] teclaArriba, int[] teclaAbajo, int[] teclaDerecha, int[] teclaIzquierda, int[] teclaRotarDerecha, int[] teclaRotarIzquierda)`
`void` | `finalizarJuego()`
`javax.swing.JPanel` | `getContenedorGrafico()`
`boolean` | `getJuegoComenzado()`
`int` | `getLineas()`
`int` | `getNivel()`
`Paleta` | `getPaleta()`
`Pieza[]` | `getPiezasBase()`
`int` | `getPuntos()`
`Tablero` | `getTablero()`
`int` | `getVelocidad()`
`void` | `iniciarJuego()`
`int` | `leerTeclado(java.awt.event.KeyEvent evento)`
`void` | `modificarDimensionesTablero(byte ancho, byte alto)`
`protected int` | `numeroPiezasBase()`
`protected Pieza` | `obtenerPieza()`
`void` | `pausarJuego()`
`void` | `procesarTecla(int tecla)`
`void` | `reanudarJuego()`
`void` | `reiniciarJuego()`
`protected void` | `representarTodo(javax.swing.JPanel contenedor)`
`void` | `restaurarValores()`
`protected void` | `sacarPieza()`
`void` | `setContenedorGrafico(javax.swing.JPanel contenedor)`
`protected void` | `setLineas(int lineas)`
`void` | `setNivel(int nivel)`
`void` | `setPaleta(Paleta paleta)`
`void` | `setPiezasBase(Pieza[] piezasBase)`
`protected void` | `setPuntos(int puntos)`
`void` | `setVelocidad(int velocidad)`
`protected void` | `subirNivel()`
`protected void` | `subirVelocidad()`
`protected void` | `sumarLineas(int numeroLineas)`
`protected void` | `sumarPuntos(int puntos)`
`protected boolean` | `teclaEnTeclas(int tecla, int[] teclas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### teclaArriba

    protected int[] teclaArriba

### teclaAbajo

    protected int[] teclaAbajo

### teclaDerecha

    protected int[] teclaDerecha

### teclaIzquierda

    protected int[] teclaIzquierda

### teclaRotarDerecha

    protected int[] teclaRotarDerecha

### teclaRotarIzquierda

    protected int[] teclaRotarIzquierda

### contenedorGrafico

    protected javax.swing.JPanel contenedorGrafico

### motorSonido

    protected Sonido motorSonido

### paleta

    protected Paleta paleta

### piezasBase

    protected Pieza[] piezasBase

### velocidad

    protected int velocidad

### velocidadMinima

    protected final int velocidadMinima

### velocidadMaxima

    protected final int velocidadMaxima

### incrementoVelocidad

    protected final int incrementoVelocidad

### juegoComenzado

    protected boolean juegoComenzado

### juegoPausado

    protected boolean juegoPausado

### nivel

    protected int nivel

### puntos

    protected int puntos

### lineas

    protected int lineas

### tablero

    protected Tablero tablero

### piezaActual

    protected Pieza piezaActual

### piezaSiguiente

    protected Pieza piezaSiguiente

### piezaColisionada

    protected boolean piezaColisionada

Constructor Detail

### Juego

    public Juego(javax.swing.JPanel contenedor)

### Juego

    public Juego(javax.swing.JPanel contenedor,
                 Paleta paleta)

### Juego

    public Juego(javax.swing.JPanel contenedor,
                 Paleta paleta,
                 Pieza[] piezasBase)

Method Detail

### setContenedorGrafico

    public void setContenedorGrafico(javax.swing.JPanel contenedor)

### getContenedorGrafico

    public javax.swing.JPanel getContenedorGrafico()

### setPaleta

    public void setPaleta(Paleta paleta)

### getPaleta

    public Paleta getPaleta()

### getTablero

    public Tablero getTablero()

### setPiezasBase

    public void setPiezasBase(Pieza[] piezasBase)

### numeroPiezasBase

    protected int numeroPiezasBase()

### getPiezasBase

    public Pieza[] getPiezasBase()

### definirTeclas

    public void definirTeclas(int[] teclaArriba,
                              int[] teclaAbajo,
                              int[] teclaDerecha,
                              int[] teclaIzquierda,
                              int[] teclaRotarDerecha,
                              int[] teclaRotarIzquierda)

### modificarDimensionesTablero

    public void modificarDimensionesTablero(byte ancho,
                                            byte alto)

### setVelocidad

    public void setVelocidad(int velocidad)

### getVelocidad

    public int getVelocidad()

### subirVelocidad

    protected void subirVelocidad()

### setNivel

    public void setNivel(int nivel)

### getNivel

    public int getNivel()

### subirNivel

    protected void subirNivel()

### setPuntos

    protected void setPuntos(int puntos)

### getPuntos

    public int getPuntos()

### sumarPuntos

    protected void sumarPuntos(int puntos)

### setLineas

    protected void setLineas(int lineas)

### getLineas

    public int getLineas()

### sumarLineas

    protected void sumarLineas(int numeroLineas)

### leerTeclado

    public int leerTeclado(java.awt.event.KeyEvent evento)

### procesarTecla

    public void procesarTecla(int tecla)

### teclaEnTeclas

    protected boolean teclaEnTeclas(int tecla,
                                    int[] teclas)

### comprobarGameOver

    public boolean comprobarGameOver()

### getJuegoComenzado

    public boolean getJuegoComenzado()

### restaurarValores

    public void restaurarValores()

### iniciarJuego

    public void iniciarJuego()

### finalizarJuego

    public void finalizarJuego()

### pausarJuego

    public void pausarJuego()

### reanudarJuego

    public void reanudarJuego()

### reiniciarJuego

    public void reiniciarJuego()

### obtenerPieza

    protected Pieza obtenerPieza()

### sacarPieza

    protected void sacarPieza()

### cicloJuego

    protected void cicloJuego()

### actualizarPanel

    protected void actualizarPanel(javax.swing.JPanel contenedor)

### representarTodo

    protected void representarTodo(javax.swing.JPanel contenedor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD